﻿using System;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace SlidePuzzle
{
    public partial class Form1 : Form
    {
        public const int WM_NCLBUTTONDOWN = 0xA1;
        public const int HT_CAPTION = 0x2;
        [DllImportAttribute("user32.dll")]
        public static extern int SendMessage(IntPtr hWnd, int Msg, int wParam, int lParam);
        [DllImportAttribute("user32.dll")]
        public static extern bool ReleaseCapture();

        public Form1()
        {
            InitializeComponent();
        }

        Label _lblNote = new Label();

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Controls.Add(_lblNote);
            _lblNote.Text = "Left-click on any piece to move it to the adjacent empty box...";
            _lblNote.ForeColor = System.Drawing.Color.Black;
            _lblNote.Font = new System.Drawing.Font(_lblNote.Font, System.Drawing.FontStyle.Bold);
            _lblNote.AutoSize = true;
            _lblNote.Location = new System.Drawing.Point(10, 505);

            Timer timer = new Timer();
            timer.Interval = 10000;
            timer.Tick += Timer_Tick;
            timer.Start();
        }

        private void Timer_Tick(object sender, EventArgs e)
        {
            _lblNote.Hide();
            Timer timer = sender as Timer;
            timer.Stop();
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            //Lets you move the puzzle screen with the mouse.
            ReleaseCapture();
            SendMessage(this.Handle, WM_NCLBUTTONDOWN, HT_CAPTION, 0);
        }
    }
}